gtk3-0.15.10: Binding to the Gtk+ 3 graphical user interface library

Maintainer | gtk2hs-users@lists.sourceforge.net
Stability | provisional
Portability | portable (depends on GHC)
Safe Haskell | None
Language | Haskell98

Graphics.UI.Gtk.MenuComboToolbar.SeparatorMenuItem

Contents

- Detail
- Class Hierarchy
- Types
- Constructors

Description

A separator used in menus

Synopsis

- data SeparatorMenuItem
- class MenuItemClass o => SeparatorMenuItemClass o
- castToSeparatorMenuItem :: GObjectClass obj => obj -> SeparatorMenuItem
- gTypeSeparatorMenuItem :: GType
- toSeparatorMenuItem :: SeparatorMenuItemClass o => o -> SeparatorMenuItem
- separatorMenuItemNew :: IO SeparatorMenuItem

# Detail

The `SeparatorMenuItem` is a separator used to group items within a menu. It displays a horizontal line with a shadow to make it appear sunken into the interface.

# Class Hierarchy

    | GObject
    | +----Object
    | +----Widget
    | +----Container
    | +----Bin
    | +----Item
    | +----MenuItem
    | +----SeparatorMenuItem

# Types

data SeparatorMenuItem Source #

#### Instances

Instances details

Eq SeparatorMenuItem Source # |
Instance details Defined in Graphics.UI.Gtk.Types Methods (==) :: SeparatorMenuItem -> SeparatorMenuItem -> Bool Source # (/=) :: SeparatorMenuItem -> SeparatorMenuItem -> Bool Source #
Ord SeparatorMenuItem Source # |

Instance details

Defined in Graphics.UI.Gtk.Types

Methods

compare :: SeparatorMenuItem -> SeparatorMenuItem -> Ordering Source #

(<) :: SeparatorMenuItem -> SeparatorMenuItem -> Bool Source #

(<=) :: SeparatorMenuItem -> SeparatorMenuItem -> Bool Source #

(>) :: SeparatorMenuItem -> SeparatorMenuItem -> Bool Source #

(>=) :: SeparatorMenuItem -> SeparatorMenuItem -> Bool Source #

max :: SeparatorMenuItem -> SeparatorMenuItem -> SeparatorMenuItem Source #

min :: SeparatorMenuItem -> SeparatorMenuItem -> SeparatorMenuItem Source #

GObjectClass SeparatorMenuItem Source # |
Instance details Defined in Graphics.UI.Gtk.Types Methods toGObject :: SeparatorMenuItem -> GObject Source # unsafeCastGObject :: GObject -> SeparatorMenuItem Source #
BinClass SeparatorMenuItem Source # |
Instance details Defined in Graphics.UI.Gtk.Types
ContainerClass SeparatorMenuItem Source # |
Instance details Defined in Graphics.UI.Gtk.Types
MenuItemClass SeparatorMenuItem Source # |
Instance details Defined in Graphics.UI.Gtk.Types
SeparatorMenuItemClass SeparatorMenuItem Source # |
Instance details Defined in Graphics.UI.Gtk.Types
WidgetClass SeparatorMenuItem Source # |
Instance details Defined in Graphics.UI.Gtk.Types

class MenuItemClass o => SeparatorMenuItemClass o Source #

#### Instances

Instances details

SeparatorMenuItemClass SeparatorMenuItem Source # |
Instance details Defined in Graphics.UI.Gtk.Types

castToSeparatorMenuItem :: GObjectClass obj => obj -> SeparatorMenuItem Source #

gTypeSeparatorMenuItem :: GType Source #

toSeparatorMenuItem :: SeparatorMenuItemClass o => o -> SeparatorMenuItem Source #

# Constructors

separatorMenuItemNew :: IO SeparatorMenuItem Source #

Creates a new `SeparatorMenuItem`.